#!/usr/bin/env python
from segy import Segy
import sqlite

if __name__ == "__main__":
	dbFilename = 'bpsegy.db'
	cx = sqlite.connect(dbFilename)
	cu = cx.cursor()
	
	# FIX: dynamically find all the keyword from the dictionary so that
	# they are all available in the sqlite db.
	
	# traceCount is the trace offset in a file
	createStr  = "CREATE TABLE traces"
	createStr += " ( traceCount INTEGER, lat REAL, long REAL );"
	cu.execute(createStr)
	cx.commit()
	
	xstar = Segy('bpsio01L00.xstar')
	
	for i in range(1,xstar.getNumberOfTraces()):
	    traceHdr = xstar.getTraceHdr(i)
	
	    x = traceHdr.getHeader('X')/3600.
	    y = traceHdr.getHeader('Y')/3600.
	
	    insertStr  = "INSERT INTO traces"
	    insertStr += " (traceCount, lat,long)"
	    insertStr += " VALUES"
	    insertStr += " (" + str(i)
	    insertStr += " ,"+str(x)
	    insertStr += " ,"+str(y)
	    insertStr += " );"
	    cu.execute(insertStr)
	
	# Flush this to the db... 
	cx.commit()
	
